/** Muokkaa lähettävää formia siten että luodaan targetiksi oma frame, jonka valmistumista kuunnellaan */
function ajaxUPLOAD(form_id, c){
	var f = $(form_id);
	
	// Luodaan target-frame jos sellaista ei vielä ole
	if (!$('frame_'+form_id)){
		var d = document.createElement('DIV');
	
		d.innerHTML = '<iframe style="display:none;" src="about:blank" id="frame_'+form_id+'" name="frame_'+form_id+'" onload="ajaxUploadReady(\'frame_'+form_id+'\')"></iframe>';
		document.body.appendChild(d);
	}
	
	// Asetetaan lomakkeen target frameen
	f.setAttribute('target', 'frame_'+form_id);
	
	var i = $('frame_'+form_id);
	if (c && typeof(c.onComplete) == 'function') {
		i.onComplete = c.onComplete;
	}
	
	// Lähetetään lomake
	f.submit();
}

/** Suoritetaan kun target-frame on valmis */
function ajaxUploadReady(id){
	var i = $(id);
	
	if (i.contentDocument) {
		var d = i.contentDocument;
	} else if (i.contentWindow) {
		var d = i.contentWindow.document;
	} else {
		var d = window.frames[id].document;
	}
	if (d.location.href == "about:blank") {
		return;
	}

	if (typeof(i.onComplete) == 'function') {
		i.onComplete(d.body.innerHTML);
	}
}